Package Details: dwarffortress-lnp-git 44.03-2

Git Clone URL: https://aur.archlinux.org/dwarffortress-lnp-git.git (read-only, click to copy)
Package Base: dwarffortress-lnp-git
Description: Installer for the Lazy Newb Pack to run Dwarf Fortress. Includes vanilla dwarf fortress, dfhack and graphics
Upstream URL: None
Licenses: custom
Submitter: metamer
Maintainer: None
Last Packager: metamer
Votes: 23
Popularity: 0.000083
First Submitted: 2016-03-06 03:30
Last Updated: 2018-01-12 03:15

Dependencies (29)

Required by (0)

Sources (25)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

daglamier22 commented on 2016-09-22 17:07

I had to manually "unfix" the pylnp-terminal.patch update in order to resolve the Tkinter error on my side (which is strange because I thought that patch was there to fix this error, but it actually caused it in my case). Just FYI as it took me a few hours to track this down, hopefully will help someone.

vison commented on 2016-09-07 03:25

I am also receiving the Tkinter exception error and I have updated to the most recent version.

metamer commented on 2016-08-29 19:37

Updating the manifest.json for graphics packs should no longer be necessary. The graphics repos have been switched to point to the appropriate branch, rather than pointing to the DFgraphics meta-repo, which was pointing to outdated versions.

The folders not found issue was also fixed (the issue was case sensitivity).

Derpdiherp commented on 2016-08-22 22:10

Freshly installed and the launcher will not find graphics packs because df_max_version is set too low in the .json files in each graphics pack.

Quick fix:

cd ~/dwarffortress-lnp-git/LNP/graphics

grep -rl "\"df_max_version\": \"0.42.05\"" | xargs sed -i 's/\"df_max_version\": \"0.42.05\"/\"df_max_version\": \"0.46.06\"/g'

kurolox commented on 2016-07-22 22:08

It installs and launches perfectly, but I've spotted a small problem with the launcher.

Most of the "Folders" dropdown menu options don't work. Console output says that the folder doesn't exist. Since it's using a relative path it may be launching itself from the wrong working directory.

WARNING: Could not detect update method, updates will not work
xdg-open: file '../../df_linux' does not exist

metamer commented on 2016-07-16 03:15

I've updated to 43.03, which seems to have rectified many of the issues mentioned below. I've also included a patch which addresses the PyLNP exception mentioned by p1100i.

p1100i commented on 2016-07-07 10:49

My PyLNP is up and running, however when try to start ("Play Dwarf Fortress!"), i've receive the following exception on the terminal where i've started `lnp`:

Exception in Tkinter callback
Traceback (most recent call last):
File "/usr/lib/python3.5/tkinter/__init__.py", line 1550, in __call__
return self.func(*args)
File "/home/p1100i/.dwarffortress-lnp-git/python-lnp/core/launcher.py", line 51, in run_df
result = run_program(executable, force, True, spawn_terminal)
File "/home/p1100i/.dwarffortress-lnp-git/python-lnp/core/launcher.py", line 92, in run_program
run_args = terminal.get_terminal_command(path)
File "/home/p1100i/.dwarffortress-lnp-git/python-lnp/core/terminal.py", line 31, in get_terminal_command
return term + cmd
TypeError: can only concatenate list (not "str") to list

p1100i commented on 2016-07-07 10:47

@andronas the answer from @wijagels should also help u, it also helped me.
copy this into the PKGBUILD on line 102:
sed -i '1i#include <cmath>' ../plugins/3dveins.cpp

andronas commented on 2016-06-24 01:02

Problems?

[ 62%] Building CXX object plugins/CMakeFiles/3dveins.dir/3dveins.cpp.o
/home/andronas/AUR/dwarffortress-lnp-git/src/dfhack/plugins/3dveins.cpp: In function ‘float apow(float, float)’:
/home/andronas/AUR/dwarffortress-lnp-git/src/dfhack/plugins/3dveins.cpp:91:58: error: ‘fabsf’ was not declared in this scope
inline float apow(float a, float b) { return powf(fabsf(a), b); }
^
/home/andronas/AUR/dwarffortress-lnp-git/src/dfhack/plugins/3dveins.cpp:91:62: error: ‘powf’ was not declared in this scope
inline float apow(float a, float b) { return powf(fabsf(a), b); }
^
/home/andronas/AUR/dwarffortress-lnp-git/src/dfhack/plugins/3dveins.cpp: In member function ‘bool VeinGenerator::place_orphan(t_veinkey, int, GeoLayer*)’:
/home/andronas/AUR/dwarffortress-lnp-git/src/dfhack/plugins/3dveins.cpp:1387:75: error: ‘ceilf’ was not declared in this scope
int cnt = std::min(size, std::min(cfree, int(ceilf(cfree*coeff))));
^
plugins/CMakeFiles/3dveins.dir/build.make:62: recipe for target 'plugins/CMakeFiles/3dveins.dir/3dveins.cpp.o' failed
make[2]: *** [plugins/CMakeFiles/3dveins.dir/3dveins.cpp.o] Error 1
CMakeFiles/Makefile2:1902: recipe for target 'plugins/CMakeFiles/3dveins.dir/all' failed
make[1]: *** [plugins/CMakeFiles/3dveins.dir/all] Error 2
Makefile:149: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

wijagels commented on 2016-06-10 01:11

Experiencing the same issue as MaggNorway. Fixed by adding

sed -i '1i#include <cmath>' ../plugins/3dveins.cpp

below line 102 in the PKGBUILD.